Subject: Re: bug#59689: bug#59690: 29.0.60; typescript-ts-mode: unable to uncomment region commented using comment-region

From: Yuan Fu <[email-masked]>
Date: Thu, 1 Dec 2022 19:56:28 -0800

> On Nov 30, 2022, at 2:39 AM, Theodor Thornhill via Bug reports for GNU Emacs, the Swiss army knife of text editors <[email-masked]> wrote:
> 
> Yuan Fu <[email-masked]> writes:
> 
>> Theodor Thornhill <[email-masked]> writes:
>> 
>>> Resending with correct address for Yuan...
>>> 
>>> 
>> 
>> Oops, sorry. But why it didn’t work? :-( I did a (almost) direct
>> conversion from the old regexp to rx. Let me see if I can fix it with
>> rx.
> 
> If you use the xr package from ELPA you get an rx equivalent, but to me
> that was more unreadable than the plain regex :)

That’s what I used, but perhaps I should change the result of it :-)

Could you try this patch? This should be one-to-one conversion from the plain one.

Yuan